### Method

# Camel MimeParser header

#### Declaration [src]

    const gchar*
    camel_mime_parser_header (
      CamelMimeParser* m,
      const gchar* name,
      gint* offset
    )

#### Description [src]

Lookup a header by name.

#### Parameters

`name`

  Type: `const gchar*`

  Name of header.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`offset`

  Type: `gint*`

  Pointer that can receive the offset of the header in the stream from the start of parsing.

  The data is owned by the caller of the method.

#### Return value

Type: `const gchar*`

The header value, or `NULL` if the header is not defined.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.